<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>employee_attendance_bc</ion-title>
  </ion-toolbar>
</ion-header>

<!-- <ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">employee_attendance_bc</ion-title>
    </ion-toolbar>
  </ion-header>
</ion-content> -->
<ion-content padding>
  <ion-list>
     <form  #BCForm="ngForm" >
      <ion-item>
        <ion-button expand="full" (click)="ScanBarCode()">Scan</ion-button>
      </ion-item>
      <ion-item>
        <ion-card>
          <ion-card-header>
            Scanned Employees
          </ion-card-header>
          <ion-card-content>
            <ng-container *ngIf="scannedEmpolyeeList.Id.length !== 0">
              <ion-item *ngFor="let item of scannedEmpolyeeList.Name; let i = index">
                {{ item }}
                <ion-button (click)="DeleteCurrentRow(i)" slot="end">Delete</ion-button>
              </ion-item>
            </ng-container>
            <ng-container *ngIf="scannedEmpolyeeList.Id.length === 0">
              No Employees scanned yet
            </ng-container>
          </ion-card-content>
        </ion-card>
      </ion-item>
      
      <ion-list>
        <ion-radio-group [(ngModel)]="pick" name="pick" required>
          <ion-item>
            <ion-label>Check-In</ion-label>
            <ion-radio value="true" checked></ion-radio>
          </ion-item>
          <ion-item>
            <ion-label>Check-Out</ion-label>
            <ion-radio value="false"></ion-radio>
          </ion-item>
        </ion-radio-group>
      </ion-list>
      
      <ion-item>
        <ion-button type="submit" (click)="SendEmployeeAtt()" expand="full" [disabled]="!BCForm.form.valid || scannedEmpolyeeList.Id.length == 0">
          Submit Employees list
        </ion-button>
      </ion-item>
      
    </form>
  </ion-list>
  </ion-content>